# $Revision: 1.19 $, $Date: 2008/07/27 22:30:56 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OOEnigma
Summary:	Crypt::OOEnigma Perl module - flexible interface to Enigma
Summary(pl.UTF-8):	Moduł Perla Crypt::OOEnigma - elastyczny interfejs do Enigmy
Name:		perl-Crypt-OOEnigma
Version:	0.3
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e8c14d05b89a30574d1a5d6cea239cde
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Test-Simple >= 0.41
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A flexible, object-oriented interface to a WWII Enigma machine.
Commercial and Military Enigmas are provided for use and modification.
You can easily construct your own with any number of rotors, your own
ciphers in each component etc. Those who wish to explore an Enigma
with historically accurate ciphers should try Crypt::Enigma or use
this module to create their own Enigma with WWII ciphers.

%description -l pl.UTF-8
Moduł Crypt::OOEnigma jest elastycznym, zorientowanym obiektowo
interfejsem do maszyny Enigma z II Wojny Światowej. Pozwala używać i
modyfikować komercyjne i militarne wersje Enigmy. Można łatwo
skonstruować własną z dowolną liczbą bębnów, własnymi szyframi dla
każdego komponentu itp. Chcący używać Enigmy z historycznymi szyframi
powinni użyć modułu Crypt::Enigma lub użyć tego modułu do stworzenia
własnej Enigmy z szyframi z IIWŚ.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install bin/Enigma.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/OOEnigma.pm
%{perl_vendorlib}/Crypt/OOEnigma
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-OOEnigma.spec,v $
Revision 1.19  2008/07/27 22:30:56  arekm
- release 5

Revision 1.18  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:13  paladine
- formatting

Revision 1.15  2004/06/05 18:10:35  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.13  2004/05/07 01:09:17  ankry
- rel. 3

Revision 1.12  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.10  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.9  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:46:30  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:29:01  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/18 01:24:12  ankry
- updated to 0.3
- tests on bcond

Revision 1.1  2002/07/30 22:07:54  qboosh
- new
